{% extends 'base.html.twig' %}

{% block title %}{% trans from 'problemShow' %} problem {% endtrans %}{% endblock %}

{% block stylesheets %}
            {{parent()}}
            {{ encore_entry_link_tags('problem') }}
{% endblock %}

{% block body %}

    <section class="problem-container">
        <div class="image-problem-container">
            <img src="{{ asset('uploads/images/' ~ problem.image) }}" alt="image" />
        </div>

        <div class="title-problem-container">
            <h2 class="title-problem">" {{ problem.title }} "</h2>
            <h4>{{problem.createDate|date("m/d/Y")}}</h4>
            <h5>{{problem.user.lastName}} {{problem.user.firstName}}</h5>
        </div>

        <div class="create-solution-container">
            <p>{% trans from 'problemShow' %} create.solu {% endtrans %}</p>
            <a href="{{ path('solution_new', {'id': problem.id})}}">
                <img src="{{ asset('build/images/arrow_white.7e64a6f9.svg') }}" alt="">
            </a>
        </div>

        <div class="detail-problem-container">
            <p class="title-detail-problem">{% trans from 'problemShow' %} detail.problem {% endtrans %}</p>
            <p class="detail-problem">{{ problem.description }}</p>
        </div>
    </section>
    <hr>
    <section class="list-solution-container">
        {% set i = 0 %}
        {% for solution in problem.solutions %}
            <div class="solution-container">
                <div class="solution-content">
                    <p class="user-message">{{ solution.user.firstName}} {{ solution.user.lastName}} 03/05/2020</p>
                    <p class="solution-name">{{ solution.name }}</p>

                    {% if is_granted('IS_AUTHENTICATED_FULLY') %}
                        <a href="{{path('solution_show',{'id': solution.id})}}">{% trans from 'problemShow' %} detail.solution {% endtrans %}</a>
			        {% endif %}
                    
                </div>

                <button type="button" class="btn btn-success">{% trans from 'problemShow' %} vote.for {% endtrans %}{{ data[i][0] }}</button>
                <button type="button" class="btn btn-danger">{% trans from 'problemShow' %} vote.against {% endtrans %}{{ data[i][1] }}</button>
                <hr>
            </div>

            {% set i = i + 1 %}
        {% endfor %}

    </section>

{% endblock %}

{% block javascripts %}
            {{ encore_entry_script_tags('problem') }}
{% endblock %}